#include "lim_global.h++";
#include "kAware.h++"

/************************************************************************/
/* Performer type data
*/

pfType *kAware::classType_ = NULL; 

void kAware::init(void)
{
 if (classType_ == NULL)
	{
        pfDCS::init();				/* Initialize the parent class */
        classType_ =  new pfType(pfDCS::getClassType(), "kAware");	/* Create the new pfType for this class, based on the parent class's type */
	}
}
/************************************************************************/



kAware::kAware(pfVec3 newposition)
{
 setType(classType_);  /* set the Performer type of this instance */
 active_ = 0;
 world_ = NULL;
 position_ = newposition;
 setTrans(position_[0],position_[1],position_[2]);
}


void kAware::setWorld(pfNode *world)
{
 world_ = world;
}

int kAware::app(pfTraverser *trav)
{
/*
 float dt;
 if (!active_)
	return pfDCS::app(trav);
 dt = pfGetTime() - prevTime_;
 if (dt < 1.0f)
	{
	pfVec3 prevPos = position_;
	position_ += velocity_ * dt;
	if ((position_[2] < 0.0f) || (hitObject(prevPos)))
		{
		active_ = 0;
 		setTravMask(PFTRAV_ISECT, 0xffffffff,
			 PFTRAV_SELF|PFTRAV_DESCEND|PFTRAV_IS_CACHE, PF_SET);
		}
	else
		velocity_[2] -= gravity_ * dt;
	}
 setTrans(position_[0],position_[1],position_[2]);
 prevTime_ = pfGetTime();
*/
 return pfDCS::app(trav);
}

int kAware::needsApp(void)
{
 return TRUE;
}


int kAware::isActive()
{
    return active_;
}
