#include <Performer/pf/pfChannel.h>
#include <Performer/pf/pfEarthSky.h>
#include <Performer/pf/pfLightSource.h>
#include <Performer/pf/pfGroup.h>
#include <Performer/pfdu.h>
#include <Performer/pf.h>
#include <Performer/pf/pfDCS.h>
#include <Performer/pf/pfTraverser.h>
#include <Performer/pf/pfText.h>
#include <Performer/pr/pfString.h>

#include <pfcave.h>

extern pfDCS *g_limMicDCS;
extern pfDCS *g_limMainGroup;
extern pfScene *g_limScene;
extern pfDCS *g_limWandDCS;
extern pfDCS *g_sphereDCS;
extern pfDCS *g_arrowDCS;
extern pfDCS *g_selectedDCS;
extern pfDCS *g_limTextDCS;
extern pfDCS *g_limAwareDCS;
extern pfGroup *g_limBullet;
extern pfGroup *g_limBadBullet;


void limPerfReplaceObject(char *filename,pfDCS *parent);
void limPerfRemoveObject(pfDCS *parent);
pfDCS * limPerfLoadObjects(char *filename,pfDCS *parent);
void limPerformerInit(int *argc, char *** argv);
void limUpdateWand();
void limUpdateAware();
void limPerfOneCycle();

extern int g_limObjectCount;
