/* Author: Jason Leigh
 * (C) 1997 Electronic Visualization Laboratory - Univ Illinois at Chicago
 */

#ifndef _CAVERN_KEY_DEF_ATTRIB
#define _CAVERN_KEY_DEF_ATTRIB

#include "CAVERN_includes.h++"

/** Class describing the properties of a key definition.
This is used in calling: CAVERN_irb_c::define().

Currently there are no defineable attributes.
Attributes for setting permissions will be added in time.

*/
class CAVERN_keyDefAttrib_c {

public:

private:

	/* TODO Need to add something to allow setting permissions for specific IRBs.
	   I.e. a list of who is allowed to read/write/connect
	   enum CAVERN_permissions_t  {CAVERN_READ, CAVERN_WRITE, CAVERN_READ_WRITE};
	*/

	/* TODO
	//More elaborate permission schemes can be added later to the class.
	CAVERN_permissions_t creatorPermissions, otherPermissions;
	*/

	/* OMITTED
	   Set retention type. Retention determines if a key is transient or
	   persistent. If transient then when all subscribers 

	   void setRetention(CAVERN_retention_t reten);
	   CAVERN_retention_t getRetention();
	*/
};

#endif
