/* Author: Jason Leigh
 * (C) 1997 Electronic Visualization Laboratory - Univ Illinois at Chicago
 */
#ifndef _CVRN_GLOBALS
#define _CVRN_GLOBALS

#include "cvrn_comm.h++"
#include "CAVERN_irb_c.h++"
#include "cvrn_db.h++"

// CAVERNInit.c++
extern char g_localAttachmentURL[];

// cvrn_comm.h++/c++
// The main pointer to the communications manager.
extern cvrnCommunicationManager_c *g_cvrnCommunicationManager;

// CAVERNInit.c++
// Ptr to the client's personal IRB.
extern CAVERN_irb_c *g_cvrnPersonalIRB;

// cvrn_db.h++/c++
// The main pointer to the active key manager. 
extern cvrnActiveKeyManager_c *g_cvrnActiveKeyManager;

#endif
