/* A non-sensical demo of the key tool classes. */

#include "keytool.h++"
#include <stdio.h>

main()
{

	// Make a key tool manager.
	keyToolManager_c *theManager = new keyToolManager_c("mydb");

	// Prepare to get 2 keys.
	keyToolKey_c *aKey, *key2, *key3;

	keyToolManager_c::status_t theStatus;
	aKey = theManager->getKey("wow/neat","akey", &theStatus);

	key2 = theManager->getKey(NULL, "key2", &theStatus);
	key3 = theManager->getKey("wow", "key3", &theStatus);

	theManager->showProfile();

	//	aKey->setMeta("Jason Key 111",14);


	// Allocate memory for keys.
	if (!aKey->getData()) aKey->resize(1024);
	if (!key2->getData()) key2->resize(512);
	if (!key3->getData()) key3->resize(2048);

	//Swap contents of 2 keys.
	if (theManager->swapContents(aKey,key2) == keyToolManager_c::FAILED) exit(1);

	// Fiddle with the data.
	char *data;
	data = key2->getData();
	//	sprintf(data,"HELLOOOOO THERE");


	printf("KEY:%s SIZE:%d DATA:%s TIMESTAMP:%lf\n",aKey->getKeyId().getKeyAsStr(), aKey->getDataSize(),data, aKey->getTimeStamp());

	// Commit the entire db.
	theManager->commit();

	// Remove a key.
	//	theManager->removeKeyPermanently(111);


}
