#include "CAVERN_includes.h++"

/** This lists all the keys in the IRB as well as info relevant to the IRB.
Such as: num of threads, port numbers, number of links to keys etc.
This will be added with time.
*/
class CAVERN_irbInfo_c {

public:
	/// Number of keys in IRB.
	int getNumberOfKeys();

	/// Returns an array of key objects.
	CAVERN_irbKeyInfo_c **getListOfKeys();

private:
	int numberOfKeys;
	CAVERN_irbKeyInfo_c **keys;
	/* Delete must make sure to delete each array element */

	/* These will be accessible by friend classes who will populate
	   the data.
	   */
	void setNumberOfKeys(int);
	void setListOfKeys(CAVERN_irbKeyInfo_c *);

};

