#ifndef _kAware_h_
#define _kAware_h_

#include <Performer/pfdu.h>
#include <Performer/pf/pfGeode.h>
#include <Performer/pf/pfTraverser.h>
#include <Performer/pf/pfDCS.h>
#include <Performer/pr/pfLinMath.h>
#include <pfcave.h>

class kAware : public pfDCS
	{
	public:
	 kAware(pfVec3);
	 virtual void setWorld(pfNode *);
	private:
	 pfVec3 position_;
	 int active_;
	 pfNode *world_;
	/* Stuff needed for APP traversal of node */
	public:
	 virtual int app(pfTraverser*);
	 virtual int needsApp(void);
	 int isActive();
	/* Stuff required to make this a Performer class */
	public:
	 static void init(void);
	 static pfType* getClassType(void){ return classType_; };
	private:
	 static pfType* classType_;
	};

#endif
