#ifndef _kCompass_h_
#define _kCompass_h_

#include <Performer/pfdu.h>
#include <Performer/pf/pfGeode.h>
#include <Performer/pf/pfTraverser.h>
#include <Performer/pf/pfDCS.h>
#include <Performer/pr/pfLinMath.h>
#include <pfcave.h>
#include "lim_global.h++"
#include "lim_avatar.h++"

class kCompass : public pfDCS
	{
	public:
	 kCompass();
	 virtual void setWorld(pfNode *);
	private:
	 pfVec3 position_;
         pfGroup *blips;
	 float prevTime_;
	 int active_;
	 pfNode *world_;
	/* Stuff needed for APP traversal of node */
	public:
	 virtual int app(pfTraverser*);
	 virtual int needsApp(void);
	 int isActive();
         pfGeode * createArrow(float, pfVec4, int);
	/* Stuff required to make this a Performer class */
	public:
	 static void init(void);
	 static pfType* getClassType(void){ return classType_; };
	private:
	 static pfType* classType_;
	};

#endif
