#include "lim_perf.h++"
#include "lim_navigate.h++"
#include "lim_audio.h++"
#include "lim_pick.h++"
#include "lim_model.h++"
#include "lim_avatar.h++"
#include "lim_bullet.h++"
#include "kBullet.h++"
#include "CAVERN.h++"
//#include "toggle.h++"


pfVec3 position;
pfVec3 velocity;
float max;
float ktime;
int count;
pfText * text;
pfDCS * textDCS;

void displayText();

pfFont      *fnt;

void limMainLoop()
{
	while (!CAVEgetbutton(CAVE_ESCKEY))
	{

		// Position and orient ray along wand.
		limUpdateWand();
		
		limCheckForNewObjectsToLoad();
		limCheckForNewAvatars();

		// Required by performer to synch things to a certain frame rate.
		pfSync();

		// Updates tracker data and sets up new projects for each channel.
		pfCAVEPreFrame();

		// Required by performer to trigger cull and draw
		pfFrame();

		// Updates non latency critical data.
		pfCAVEPostFrame();

		limNavigate(g_limMainGroup);

		limSendSelfAvatarTracker();

		limHandleSelectAndMove(g_limScene);

                displayText();
               
		//		limHandleRecording();
	}
	limSaveModelMetaDataStates();

	limAvatarExit();


	CAVEHalt();
	pfExit();

}

void displayText()
{
   pfString * oldstr = NULL;
   pfString * newstr = NULL;
   float t_position[3];
   float t_rotation[3];

   CAVEGetPosition(CAVE_HEAD,t_position);
   CAVEGetOrientation(CAVE_HEAD,t_rotation);
   g_limTextDCS->setTrans(t_position[0],t_position[1]+2.5f,t_position[2]);
    
}


