#include "CAVERN.h++"
#include "lim_perf.h++"

#ifndef _LIM_MODEL_H
#define _LIM_MODEL_H

#define _LIM_MAX_MODELS 64
extern CAVERN_irbLink_c *g_limModelLink[_LIM_MAX_MODELS];
extern CAVERN_irbLink_c *g_limModelMetaLink[_LIM_MAX_MODELS];
extern CAVERN_irbKey_c *g_limListOfModelMetaDataKeys[_LIM_MAX_MODELS];
extern CAVERN_irbKey_c *g_limListOfModelDataKeys[_LIM_MAX_MODELS];
extern pfDCS *g_listOfModelDCS[_LIM_MAX_MODELS];

void limModelInit(char ** argv);
void lim_createModelChannel();
void lim_makeChannelAndModelLink(char *remoteHost);
void newMetaDataCB(CAVERN_irbKey_c::CAVERN_irbKeyEvent_t event,
	     CAVERN_irbKey_c *thisKey,
	     void* userData);

void limCheckForNewObjectsToLoad();
void limSaveModelMetaDataStates();


#endif
